libzypp 17.38.15

ResolverFocus.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <zypp-core/Globals.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Enumerations
enum class | zypp::ResolverFocus { zypp::Default = 0 , zypp::Job , zypp::Installed , zypp::Update }
| The resolver's general attitude. More...

## Functions
std::string | zypp::asString (const ResolverFocus &val_r) ZYPP_API
| relates: ResolverFocus Conversion to string (enumerator name)
bool | zypp::fromString (const std::string &val_r, ResolverFocus &ret_r) ZYPP_API
| relates: ResolverFocus Conversion from string (enumerator name, case insensitive, empty string is Default)
ResolverFocus | zypp::resolverFocusFromString (const std::string &val_r)
| relates: ResolverFocus Conversion from string (convenience)
std::ostream & | zypp::operator<< (std::ostream &str, const ResolverFocus &obj)
| relates: ResolverFocus Stream output